<?php
require_once IFSO_PLUGIN_SERVICES_BASE_DIR . 'triggers-service/triggers/trigger-base.class.php';
use IfSo\PublicFace\Services\TriggersService\Triggers as IfSoTriggers;

class dayOfMonthTrigger extends IfSoTriggers\TriggerBase{
    public function __construct() {
        parent::__construct('dayOfMonth');
    }

    public function handle($trigger_data){  
        $rule = $trigger_data->get_rule();
        $content = $trigger_data->get_content();

        $dayofmonthdayval = $rule['dayofmonth-dayvalue'];
		$dayofmonthhourval = $rule['dayofmonth-hourvalue'];
        $relarionship = $rule['dayofmonth-relationship'];
		if(intval($dayofmonthdayval)==31)
		    $dayofmonthdayval = current_time('t');
		if(empty($dayofmonthhourval))
		    $dayofmonthhourval = "00:00";
		
		$format = "Y/m/d H:i";
		$firstDateTime = \DateTime::createFromFormat($format, current_time("Y/m/01 H:i"));
		$lastDateTime = \DateTime::createFromFormat($format, current_time("Y/m/t H:i"));
		$currDateTime = \DateTime::createFromFormat($format, current_time("Y/m/d H:i"));	
		$selectedDate = \DateTime::createFromFormat($format, current_time("Y/m/".$dayofmonthdayval." ".$dayofmonthhourval));
		
			
        if($relarionship === 'from'){
		    if(($currDateTime>=$selectedDate) && ($currDateTime<=$lastDateTime))
			    return $content;
		}
		
		if($relarionship === 'untill'){
		    if(($currDateTime>=$firstDateTime) && ($currDateTime<=$selectedDate))
			    return $content;
		}
		
		if($relarionship === 'exactlyat'){
		    $formatexact = "Y/m/d";
		    $currDateTime = \DateTime::createFromFormat($formatexact, current_time("Y/m/d"));	
		    $selectedDate = \DateTime::createFromFormat($formatexact, current_time("Y/m/".$dayofmonthdayval));
		    if(($currDateTime==$selectedDate))
			    return $content;
		}

        return false;
    }

 }